package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFCS9Data {

    private Map<String, Object> params;
    
    public MWFCS9Data(Map<String, Object> params) {
        this.params = params;
    }

    public Double rsVysenesplacenejistiny() {
        return (Double) params.get("RS_VYSENESPLACENEJISTINY");
    }

    public Double rsVyseschvalenecastky() {
        return (Double) params.get("RS_VYSESCHVALENECASTKY");
    }

    public String rsCislouctu() {
        return (String) params.get("RS_CISLOUCTU");
    }

    public String rsVztahkhypotece() {
        return (String) params.get("RS_VZTAHKHYPOTECE");
    }

    public Double rsMesicnisplatkacelkem() {
        return (Double) params.get("RS_MESICNISPLATKACELKEM");
    }

    public java.util.Date rsDatumpristisplatky() {
        return (java.util.Date) params.get("RS_DATUMPRISTISPLATKY");
    }

    public Double rsDluznacastkaposplatnosti() {
        return (Double) params.get("RS_DLUZNACASTKAPOSPLATNOSTI");
    }

    public String rsStavhypoteky() {
        return (String) params.get("RS_STAVHYPOTEKY");
    }

    public java.util.Date rsDatumdostupnostiinformaci() {
        return (java.util.Date) params.get("RS_DATUMDOSTUPNOSTIINFORMACI");
    }

    public java.util.Date rsDatumprvninazaplacenesplatky() {
        return (java.util.Date) params.get("RS_DATUMPRVNINAZAPLACENESPLATKY");
    }

    public String rsPriznakodepsanehouveru() {
        return (String) params.get("RS_PRIZNAKODEPSANEHOUVERU");
    } 

}
